Index: branches/vs-enhencements/src/world_entities/space_ships/space_ship.cc
===================================================================
--- branches/vs-enhencements/src/world_entities/space_ships/space_ship.cc	(revision 10687)
+++ branches/vs-enhencements/src/world_entities/space_ships/space_ship.cc	(revision 10691)
@@ -24,5 +24,5 @@
 #include "world_entities/weapons/weapon_manager.h"
 
-#include "weapons/test_gun.h"
+// #include "weapons/test_gun.h"
 #include "weapons/light_blaster.h"
 #include "weapons/medium_blaster.h"
@@ -32,9 +32,9 @@
 #include "weapons/disruptor.h"
 #include "weapons/swarm_launcher.h"
-#include "weapons/spike_thrower.h"
-#include "weapons/acid_launcher.h"
-#include "weapons/boomerang_gun.h"
-#include "weapons/turret.h"
-#include "weapons/cannon.h"
+// #include "weapons/spike_thrower.h"
+// #include "weapons/acid_launcher.h"
+// #include "weapons/boomerang_gun.h"
+// #include "weapons/turret.h"
+// #include "weapons/cannon.h"
 
 #include "elements/glgui_energywidgetvertical.h"
@@ -159,4 +159,7 @@
   //weapons:
 
+//   WeaponManager::WeaponManager(this->weaponMan);
+//   WeaponManager::WeaponManager(this->secWeaponMan);
+
   this->weaponMan.setParentEntity( this);
   this->secWeaponMan.setParentEntity( this);
@@ -165,14 +168,15 @@
   this->secWeaponMan.setSlotCount(6);
 
-  this->weaponMan.createWeaponSlot(0, 3.270, 1.028, .155, WTYPE_ALLDIRS | WTYPE_DIRECTIONAL);
-  this->weaponMan.createWeaponSlot(1, 3.270, 1.028, -.155, WTYPE_ALLDIRS | WTYPE_DIRECTIONAL);
-  this->weaponMan.createWeaponSlot(2, 4.385, .063, .876, WTYPE_ALLDIRS | WTYPE_DIRECTIONAL);
-  this->weaponMan.createWeaponSlot(3, 4.385, -.063, -.876, WTYPE_ALLDIRS | WTYPE_DIRECTIONAL);
-  this->weaponMan.createWeaponSlot(4, 1.635, -.612, 2.691, WTYPE_ALLDIRS | WTYPE_DIRECTIONAL);
-  this->weaponMan.createWeaponSlot(5, 1.536, -.612, -2.691, WTYPE_ALLDIRS | WTYPE_DIRECTIONAL);
-  this->weaponMan.createWeaponSlot(6, 1.536, -.612, 3.254, WTYPE_ALLDIRS | WTYPE_DIRECTIONAL);
-  this->weaponMan.createWeaponSlot(7, 1.536, -.612, -3.254, WTYPE_ALLDIRS | WTYPE_DIRECTIONAL);
-
-
+//   printf("creating WS ...");
+//   this->weaponMan.createWeaponSlot(0, 3.270, 1.028, .155, WTYPE_ALLDIRS | WTYPE_DIRECTIONAL);
+//   this->weaponMan.createWeaponSlot(1, 3.270, 1.028, -.155, WTYPE_ALLDIRS | WTYPE_DIRECTIONAL);
+//   this->weaponMan.createWeaponSlot(2, 4.385, .063, .876, WTYPE_ALLDIRS | WTYPE_DIRECTIONAL);
+//   this->weaponMan.createWeaponSlot(3, 4.385, -.063, -.876, WTYPE_ALLDIRS | WTYPE_DIRECTIONAL);
+//   this->weaponMan.createWeaponSlot(4, 1.635, -.612, 2.691, WTYPE_ALLDIRS | WTYPE_DIRECTIONAL);
+//   this->weaponMan.createWeaponSlot(5, 1.536, -.612, -2.691, WTYPE_ALLDIRS | WTYPE_DIRECTIONAL);
+//   this->weaponMan.createWeaponSlot(6, 1.536, -.612, 3.254, WTYPE_ALLDIRS | WTYPE_DIRECTIONAL);
+//   this->weaponMan.createWeaponSlot(7, 1.536, -.612, -3.254, WTYPE_ALLDIRS | WTYPE_DIRECTIONAL);
+
+//   printf("done\nloading primary weapons...");
   this->weaponMan.addWeaponToSlot(0, 0, "RFCannon");
   this->weaponMan.addWeaponToSlot(0, 1, "RFCannon");
@@ -193,5 +197,5 @@
   this->weaponMan.addWeaponToSlot(3, 6, "Disruptor");
   this->weaponMan.addWeaponToSlot(3, 7, "Disruptor");
-
+//   printf("done\n");
 
   this->secWeaponMan.createWeaponSlot(0, 1.5, 3, 0, WTYPE_ALLDIRS | WTYPE_DIRECTIONAL);
@@ -211,5 +215,5 @@
   Playable::weaponConfigChanged();
 
-//   this->bInit = false;
+  this->bInit = false;
 
   loadEnergyShare(.3,.3,.4);
@@ -470,5 +474,7 @@
 void SpaceShip::tick (float time)
 {
-/*
+
+  printf( "loading WS..." );
+
   if( !this->bInit)
   {
@@ -489,5 +495,6 @@
     }
   this->bInit = true;
-  }*/
+  }
+  printf (" done\n");
 
   // Playable::tick(time);
@@ -495,7 +502,10 @@
  // this->test->tick(time);
 
+  printf("Calling WM tick\n");
   // Own Tick Setup, as a different fire routine is used on the weapon manager
   this->weaponMan.tick(time);
   this->secWeaponMan.tick(time);
+  printf("WM ticks done\n" );
+
 
   if( this->systemFailure() )
